ARG GOLANG_VERSION=1.21
ARG BUILDARGS
ARG GITLAB_PROXY

FROM ${GITLAB_PROXY}golang:$GOLANG_VERSION-bookworm AS builder

WORKDIR /gosdn

COPY go.* ./
RUN go mod download

COPY ./models/generated/openconfig ./models/generated/openconfig
COPY ./api ./api
COPY ./controller ./controller
COPY applications/venv-manager/ applications/venv-manager/

RUN CGO_ENABLED=0 GOOS=linux GOARCH=amd64 go build -ldflags="-w -s" -o venv-manager applications/venv-manager/main.go


FROM ${GITLAB_PROXY}ubuntu:22.04
COPY --from=builder /gosdn/venv-manager /venv-manager

ENTRYPOINT ["/venv-manager"]
