ARG GOLANG_VERSION=1.21
ARG BUILDARGS
ARG GITLAB_PROXY

FROM ${GITLAB_PROXY}golang:$GOLANG_VERSION-alpine AS builder
WORKDIR /gosdn/
RUN apk add build-base
COPY . .
RUN --mount=type=cache,target=/root/go/pkg/mod \
    --mount=type=cache,target=/root/.cache/go-build \
    make build-gosdnc

FROM ${GITLAB_PROXY}ubuntu:22.04
COPY --from=builder /gosdn/artifacts/gosdnc /
