ARG GOLANG_VERSION=1.21
ARG BUILDARGS
ARG GITLAB_PROXY

FROM ${GITLAB_PROXY}golang:$GOLANG_VERSION-bookworm as builder
WORKDIR /gosdn/
COPY . .
RUN --mount=type=cache,target=/root/go/pkg/mod \
    --mount=type=cache,target=/root/.cache/go-build \
    make build-gosdn

FROM ${GITLAB_PROXY}debian:bookworm-slim
WORKDIR /app/
RUN mkdir -p controller/configs/

COPY --from=builder /gosdn/artifacts/gosdn ./gosdn

COPY --from=builder /gosdn/controller/configs/development-gosdn.toml.example ./configs/development-gosdn.toml
COPY --from=builder /gosdn/controller/configs/integration-test-gosdn.toml ./configs/integration-test-gosdn.toml
COPY --from=builder /gosdn/controller/configs/containerlab-gosdn.toml.example ./configs/containerlab-gosdn.toml
COPY --from=builder /gosdn/controller/configs/gNMISubscriptions.txt.example ./configs/gNMISubscriptions.txt

EXPOSE 55055 8080 40000
ENTRYPOINT ["./gosdn"]
